Summary:	Library of XML, memory, and string helper functions
Summary(pl.UTF-8):	Biblioteka funkcji pomocniczych do XML-a, pamięci i łańcuchów
Name:		libxode
Version:	0.71
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libxode/%{name}-%{version}.tar.gz
# Source0-md5:	2314649f82d11eec6ba22f88d2e4ca9b
Patch0:		%{name}-system-expat.patch
Patch1:		%{name}-ac.patch
URL:		http://libxode.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel >= 1.95
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxode provides a library of XML, memory, and string helper
functions. Jabber server software uses libxode extensively.

%description -l pl.UTF-8
libxode to biblioteka funkcji pomocniczych do XML-a, pamięci i
łańcuchów. Używana intensywnie przez oprogramowanie serwerowe Jabber.

%package devel
Summary:	Header files and development documentation for libxode
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libxode
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1.95

%description devel
Header files and development documentation for libxode.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do libxode.

%package static
Summary:	Static version of libxode
Summary(pl.UTF-8):	Statyczna wersja libxode
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libxode.

%description static -l pl.UTF-8
Statyczna wersja libxode.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxode.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxode.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libxode-config
%attr(755,root,root) %{_libdir}/libxode.so
%{_libdir}/libxode.la
%{_includedir}/libxode.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libxode.a
%changelog
* Sun Jan 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxode.git;a=log;h=master

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> b4e4f28
- added system-expat patch (use system expat)
- added ac patch to allow full ac/am regeneration

* Mon Jan 13 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ffd43f1
- ghost soname symlink
- rel 2

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 771ea50
- unified preamble in %changelog

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2dba7f3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6129c36
- converted to UTF-8

* Sun Jul 24 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 623b692
- add url

* Tue Dec 21 2004 Adam Gołębiowski <adamg@pld-linux.org> 2b3c62d
- refresh config.sub

* Wed Dec 08 2004 Jakub Bogusz <qboosh@pld-linux.org> b13a987
- pl fixes, spec updates

* Wed Dec 08 2004 darekr <darekr@pld-linux.org> 35c55b0
- BR autoconf
- autoconf -> %{__autoconf}

* Wed Dec 08 2004 Tomek Orzechowski <orzech@pld-linux.org> 1f53d36
- fixed files

* Wed Dec 08 2004 Tomek Orzechowski <orzech@pld-linux.org> f7c75e3
- new

* Fri Dec 21 2001 Jacek Konieczny <jajcus@pld-linux.org> 412118b
- these were added by mistake :-(

* Thu Dec 20 2001 Jakub Bogusz <qboosh@pld-linux.org> a9e18c4
- remaining pl translations, BR: autoconf,automake

* Wed Dec 19 2001 Jacek Konieczny <jajcus@pld-linux.org> 2fbd47e
- remove CVS conflicts included in the snapshot

* Wed Dec 19 2001 Jacek Konieczny <jajcus@pld-linux.org> 06d1488
- initial spec

